
Redmine - Patch #18789

UI tests and capybara version

2015-01-09 11:21 - Ondřej Ezr

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 2.6.1   

Description

I was about to try unlock capybara version - if it would not break some tests.

I discovered, that UI tests does not work in redmine 3.0 ( contains old find_by fetchers ).

In context menu tests there is a time dependend error - the ajax may be triggered after Watcher.count is - on my machine usually

does.

But capybara version unlock has no effect, so I post capybara unlock in second patch, if there is no reason to lock capybara, please

unlock it, I use rspec for my tests and I can not update it to new version due to this lock. :(

Associated revisions

Revision 13861 - 2015-01-10 11:24 - Jean-Philippe Lang

Time dependend failures in UI tests (#18789).

Patch by Ondřej Ezr.

Revision 13862 - 2015-01-10 11:26 - Jean-Philippe Lang

Unlock capybara gem version (#18789).

Revision 13867 - 2015-01-10 22:12 - Jean-Philippe Lang

Merged r13861 and r13862 (#18789).

History

#1 - 2015-01-09 22:10 - Jean-Philippe Lang

- Target version set to 2.6.1

#2 - 2015-01-09 22:12 - Jean-Philippe Lang

Test errors were already reported in recent #18782.

#3 - 2015-01-10 00:22 - Ondřej Ezr

Ah.. I see I did not noticed. Shall I remove that from my patch and leave only time dependend error fixes in it?

#4 - 2015-01-10 10:42 - Jean-Philippe Lang

I'll take care of it, thanks.

#5 - 2015-01-10 11:26 - Jean-Philippe Lang

- Category set to Code cleanup/refactoring

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

Changes committed.

#6 - 2015-01-10 22:12 - Jean-Philippe Lang

- Status changed from Resolved to Closed
issues_ui_tests.diff 2.23 KB 2015-01-09 Ondřej Ezr

unlock_capybara_version.diff 333 Bytes 2015-01-09 Ondřej Ezr
